## org.hibernate.metamodel.source.hbm
Interface HbmBindingContext

All Superinterfaces:
  BindingContext, LocalBindingContext

    public interface HbmBindingContext

extends LocalBindingContext

Defines features specific to the `hbm.xml` variety of a `BindingContext`

Method Summary
`String` `determineEntityName(EntityElement entityElement)`
`MetaAttributeContext` `getMetaAttributeContext()`
`boolean` `isAutoImport()`
`void` `processFetchProfiles(List<JaxbFetchProfileElement> fetchProfiles, String containingEntityName)`

Methods inherited from interface org.hibernate.metamodel.source.LocalBindingContext
`getOrigin`

Methods inherited from interface org.hibernate.metamodel.source.BindingContext
`getMappingDefaults, getMetadataImplementor, getNamingStrategy, getServiceRegistry, isGloballyQuotedIdentifiers, locateClassByName, makeClassReference, makeJavaType, qualifyClassName`

Method Detail

### isAutoImport

    boolean isAutoImport()

### getMetaAttributeContext

    MetaAttributeContext getMetaAttributeContext()

### determineEntityName

    String determineEntityName(EntityElement entityElement)

### processFetchProfiles

    void processFetchProfiles(List<JaxbFetchProfileElement> fetchProfiles,
                              String containingEntityName)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.